package com.usky.dxtop.controller.web;

import com.usky.dxtop.common.core.domain.AjaxResult;
import com.usky.dxtop.service.job.SmJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author yq
 * @date 2021/10/11 17:00
 */
@RequestMapping("/dxtop/smjob")
@RestController
public class SmJobController {


    @Autowired
    private SmJob smJob;

    @PostMapping("personJob")
    public AjaxResult personJob(SmJob.PersonParam personParam){
        smJob.personApi(personParam);
        return AjaxResult.success();
    }
    @PostMapping("deptJob")
    public AjaxResult deptJob(SmJob.GroupParam groupParam){
        smJob.groupApi(groupParam);
        return AjaxResult.success();
    }
}
