package com.usky.dxtop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.usky.dxtop.model.MsgLog;
import org.springframework.amqp.rabbit.core.RabbitTemplate;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author yq
 * @since 2021-10-13
 */
public interface MsgLogService extends IService<MsgLog> {
    /**
     * 发送消息
     * @param msgLog
     */
    MsgLog sendMessage(MsgLog msgLog, RabbitTemplate rabbitTemplate);


    /**
     * 判断是否重复消费
     */
    Boolean isRepetition(MsgLog msgLog);


    void consumerSuccess(Long id);
}
