package com.usky.dxtop.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 订单报表
 * @author yq
 * @date 2021/8/31 16:24
 */
@Data
public class OrderReport {

    @Excel(name = "日期", height = 6, width = 20)
    private String reportDate;

    @Excel(name = "总金额", height = 6, width = 20)
    private Double totalMoney;

    @Excel(name = "微信支付", height = 6, width = 20)
    private Double wxMoney;

    @Excel(name = "支付宝支付", height = 6, width = 20)
    private Double zfbMoney;

    @Excel(name = "现金支付", height = 6, width = 20)
    private Double cashMoney;

    private String type;

    private Integer payType;

}
